﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set widths on the form inputs since otherwise they're 100% wide */
input,
select,
textarea,
button {
    max-width: 280px;
}

/* Carousel */
.carousel-caption p {
    font-size: 20px;
    line-height: 1.4;
}

/* buttons and links extension to use brackets: [ click me ] */
.btn-bracketed::before {
    display: inline-block;
    content: "[";
    padding-right: 0.5em;
}

.btn-bracketed::after {
    display: inline-block;
    content: "]";
    padding-left: 0.5em;
}

/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%;
}

/*IS4 CSS*/
.validation-summary-valid {
    display: none;
}

.logged-out iframe {
    display: none;
    width: 0;
    height: 0;
}

.px-main {
    color: white;
    text-decoration: none !important;
    transition: ease 0.3s all 0s;
}

    .px-main:hover {
        color: rgb(220, 220, 220);
    }

.page-consent .client-logo {
    float: left;
}

    .page-consent .client-logo img {
        width: 80px;
        height: 80px;
    }

.page-consent .consent-buttons {
    margin-top: 25px;
}

.page-consent .consent-form .consent-scopecheck {
    display: inline-block;
    margin-right: 5px;
}

.page-consent .consent-form .consent-description {
    margin-left: 25px;
}

    .page-consent .consent-form .consent-description label {
        font-weight: normal;
    }

.page-consent .consent-form .consent-remember {
    padding-left: 16px;
}

/* Backgrounds for layout modules */

.search-background {
    background: url('/Backgrounds/login-background.jpg') no-repeat center center;
    background-attachment: fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

.main-background {
    background: radial-gradient(black 15%, transparent 16%) 0 0, radial-gradient(black 15%, transparent 16%) 8px 8px, radial-gradient(rgba(255,255,255,.1) 15%, transparent 20%) 0 1px, radial-gradient(rgba(255,255,255,.1) 15%, transparent 20%) 8px 9px;
    background-color: #282828;
    background-size: 16px 16px;
}

.no-background {
    background-color: rgba(255, 255, 255, 0.7);
    border-width: 1px;
    border-style: solid;
    border-color: aliceblue;
}

.login-front,
.reg-front,
.manage-front {
    position: absolute;
    display: inline-block;
    background-color: rgba(255, 255, 255, 0.8);
    top: 10%;
    left: 0;
    right: 0;
    margin: auto;
    box-shadow: 0px 0px 5px black;
}

.login-front {
    clear: both;
    width: 400px;
    min-height: 630px;
}

.reg-front {
    width: 400px;
    min-height: 625px;
}

.manage-front {
    width: 500px;
    min-height: 675px;
}

.manage-total {
    background-color: rgba(255, 255, 255, 0.8);
    box-shadow: 0px 0px 2px grey;
    margin: auto;
    position: relative;
    width: 100%;
    border-radius: 4px;
}

.manage-field {
    display: flex;
    flex-grow: 1;
    flex-shrink: 1;
    color: black;
    vertical-align: middle;
    cursor: pointer;
    padding: 10px 20px 10px 20px;
    border-width: 0px 0px 1px 0px;
    border-style: solid;
    border-color: lightgray;
}

.manage-field-no-pointer {
    display: flex;
    flex-grow: 1;
    flex-shrink: 1;
    color: black;
    vertical-align: middle;
    padding: 10px 20px 10px 20px;
}

.manage-field-left {
    width: 50%;
}

.manage-field-middle {
    width: 40%;
    color: grey;
}

.manage-field-right {
    width: 10%;
}

.back-button {
    padding-top: 20px;
}

.label-pointer {
    cursor: pointer;
}

.navbar-px {
    background-color: #1d1d1d;
    border-radius: 0px 0px 0px 10px;
    border: solid 1px black;
    position: absolute;
    color: white;
    top: 0;
    right: 0;
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
}

    .navbar-px > li {
        position: relative;
        display: block;
    }

        .navbar-px > li > a {
            color: white;
            position: relative;
            display: block;
            padding: 10px 15px;
        }

            .navbar-px > li > a:hover,
            .navbar-px > li > a:focus {
                color: grey;
                text-decoration: none;
                border-radius: 0px 0px 0px 10px;
            }

.home-container {
    width: 100%;
    overflow: hidden;
}

.clients-home {
    width: 50%;
    float: left;
    padding: 10px;
}

.api-home {
    width: 50%;
    float: right;
    padding: 10px;
}

.overall-padding {
    padding: 10px;
}

.edit-padding {
    padding: 30px;
}

.logout-spacing {
    float: right;
}

.manage-back {
    margin-top: 10px;
}

.back-container {
    display: inline-block;
    width: 38px;
    padding-left: 1%;
}

.user-head {
    text-align: center;
}

.button-admin {
    margin-bottom: 10px;
}

.table-striped-new > tbody > tr:nth-of-type(odd) {
    background-color: #f9f9f9;
}

.table-striped-new > tbody > tr:nth-of-type(even) {
    background-color: #dedede;
}

.button-disabled {
    background-color: grey;
}

    .button-disabled:hover,
    .button-disabled:focus {
        background-color: grey;
        border-color: #ccc;
    }

.primary-button {
    border: 0;
    background-color: #337ab7;
    padding: 8px;
    color: white;
    border-radius: 4px;
    transition: ease 0.3s all 0s;
}

    .primary-button:hover {
        background-color: #235c8d;
    }

.homepage-head {
    color: aliceblue;
}

.no-list ul {
    padding-left: 0;
    list-style-type: none;
    list-style-position: outside;
}

.no-list li {
    padding-bottom: 5px;
}

.full-table table {
    width: 100%;
    table-layout: fixed;
}

.admin-table {
    margin-bottom: 0;
}

.full-table-cell {
    max-width: 80px;
    word-wrap: break-word;
}

.fullwidth-input {
    min-width: 150px;
}

.modify-cell {
    text-align: center;
    width: 150px;
}

.enabled-cell {
    width: 100px;
}

.table-header {
    font-size: 16px;
    padding-left: 1px;
}

.table-cell-middle {
    text-align: center;
    width: 400px;
}

.top-padding {
    padding-top: 10px;
}

.name-padding {
    margin-bottom: 0px;
}

.fa-spin-hover:hover {
    -webkit-animation: fa-spin 2s infinite linear;
    -moz-animation: fa-spin 2s infinite linear;
    -o-animation: fa-spin 2s infinite linear;
    animation: fa-spin 2s infinite linear;
}

.checkbox-margin {
    margin-top: 10px !important;
}

.log-in-header {
    margin-bottom: 15px;
}

.no-highlight {
    user-select: none;
}

.admin-container {
    text-align: center;
    width: 100%;
}

.full-width {
    width: 100%;
    padding: 10px;
}

.admin-label {
    min-width: 140px;
}

.admin-outer {
    width: 100%;
    margin-bottom: 10px;
}

.admin-input {
    width: 200px;
    border-radius: 3px;
    border: 0;
    height: 30px;
    padding-left: 5px;
}

::placeholder {
    color: rgb(191, 191, 191);
}

.admin-input:read-only {
    background-color: rgb(216, 216, 216);
    color: rgb(120, 120, 120);
}

.full-user,
.admin-top {
    width: 98%;
    margin: 1px 1% 1px 1%;
    text-align: center;
    height: 30px;
}

.full-user {
    background-color: white;
    border-color: aliceblue;
    cursor: pointer;
    min-height: 40px;
    transition: ease 0.3s all 0s;
}

.admin-top {
    font-weight: bold;
}

.full-user:hover {
    background-color: rgb(255, 255, 255);
}

.grey-back {
    background-color: rgb(240, 240, 240);
}

.regular-back {
    background-color: rgb(220, 220, 220);
}

.user-left,
.user-small,
.user-delete,
.user-delete-top,
.user-resend {
    display: inline-block;
    word-wrap: break-word;
    padding-top: 3px;
}

.user-text {
    color: black !important;
    text-decoration: none !important;
}

.user-delete-top,
.user-delete {
    width: 80px;
}

.user-left {
    width: calc(100% - 600px);
}

.user-small {
    width: 150px;
}

.user-resend {
    width: 200px;
}

.admin-delete-cancel,
.admin-delete-proceed {
    display: inline-block;
    width: 100px;
}

.admin-checkbox-label {
    position: relative;
    bottom: 10px;
    min-width: 140px;
}

.admin-delete-container {
    text-align: center;
    word-wrap: break-word;
}

.delete-header {
    font-size: 40px;
}

.delete-text {
    padding-top: 10px;
    color: firebrick;
}

.mobile-screen {
    font-weight: bold;
}

.user-table-email,
.user-table-confirm {
    text-align: center;
    word-wrap: break-word;
    width: 50%;
}

.user-body {
    max-height: 620px;
    overflow: auto;
    margin-bottom: 20px;
}

.grant-list-outer {
    max-height: 200px;
    overflow: auto;
    margin-bottom: 10px;
}

.grant-key,
.grant-name,
.grant-delete {
    display: inline-block;
    text-align: center;
    padding-top: 3px;
}

.grant-key {
    width: calc(80% - 60px);
}

.grant-name {
    width: 20%;
}

.grant-delete {
    width: 50px;
}

.grant-list-element {
    width: 100%;
    height: 40px;
}

.edit-success {
    color: rgb(0, 117, 13);
    text-align: center;
    font-weight: bold;
}

.search-text {
    font-weight: bold;
    text-align: center;
}

.error-text {
    font-weight: bold;
    text-align: center;
    color: rgb(159, 6, 6);
}

.search-section {
    width: calc(100% - 76px);
    text-align: center;
    display: inline-block;
}

.client-search {
    width: calc(100% - 76px);
    text-align: center;
    display: inline-block;
    padding-bottom: 10px;
}

.search-bar {
    border: 0;
    outline: 0;
    width: 200px;
    margin: 10px;
}

.new-client-button {
    text-align: center;
    display: inline-block;
    width: 100%;
}

.client-id-column,
.client-name-column,
.client-enabled,
.client-delete,
.client-delete-top {
    float: left;
    height: 100%;
    padding-top: 10px;
}

.client-id-column,
.client-name-column {
    width: calc(50% - 90px);
}

.client-enabled {
    width: 100px;
}

.client-delete-top {
    width: 80px
}

.client-delete {
    width: 80px;
    padding-top: 3px;
}

@media only screen and (max-width: 1024px) {
    .delete-header {
        font-size: 5vw;
    }
}

@media only screen and (max-width: 991px) {

    .user-small {
        width: 100px;
    }

    .user-resend {
        width: 100px;
    }

    .user-left {
        width: calc(100% - 400px);
    }
}

@media only screen and (max-width: 850px) {
    .clients-home {
        width: 100%;
        float: none;
    }

    .api-home {
        width: 100%;
    }

    .admin-header {
        font-size: 5vw;
        width: 100%;
        word-wrap: break-word;
    }
}

@media only screen and (max-width: 767px) {
    .add-btn-spacing {
        padding-left: 1px;
        padding-top: 10px;
    }

    .edit-checkbox {
        padding-left: 20px;
    }

    .fullwidth-input {
        width: 100%;
    }

    .no-padding {
        margin: 0px;
    }

    .name-padding {
        margin-bottom: 15px;
    }

    .label-width {
        padding-bottom: 10px;
        border-style: solid;
        border-width: 0px 0px 1px 0px;
        border-color: #696969;
        width: 300px;
    }

    .carousel-caption {
        display: none
    }

    .homepage-head {
        position: relative;
        top: -10px;
    }

    .manage-front,
    .reg-front,
    .login-front {
        width: 100%;
        height: 100%;
        float: none;
        top: 0;
        overflow: auto;
        left: initial;
        right: initial;
        min-height: initial;
    }

    .user-body {
        max-height: 310px;
    }
}

@media only screen and (max-width: 730px) {
    .table-cell-middle {
        width: auto;
    }
}

@media only screen and (max-width: 700px) {
    .logged-in-text {
        font-size: 5vw;
    }

    .full-user {
        min-height: initial;
        height: auto;
        padding-left: 5px;
        padding-right: 5px;
    }

    .user-delete,
    .user-left {
        width: 100%;
        float: none;
    }

    .user-small,
    .user-delete,
    .admin-top,
    .user-resend {
        display: none;
    }

    .mobile-email {
        margin: 2px 0px 5px 0px;
    }

    .user-table-confirm {
        width: 100px;
    }

    .user-table-email {
        width: initial;
    }

    .user-table-email {
        max-width: 150px;
    }

    .mobile-email {
        font-weight: bold;
    }

    .client-id-column,
    .client-name-column,
    .client-enabled,
    .client-delete {
        float: none;
        width: 100%;
        padding: 0;
    }

    .client-id-column {
        padding-top: 5px;
        font-size: 15px;
    }


    .client-delete {
        padding-bottom: 5px;
    }

    .new-client-button {
        margin-bottom: 10px;
    }
}

@media only screen and (max-width: 460px) {
    .admin-edit-mobile {
        width: 230px;
        margin-left: calc(50% - 115px);
        margin-right: calc(50% - 115px);
        margin-bottom: 5px;
    }
}

@media only screen and (max-width: 396px) {
    .admin-checkbox-label {
        bottom: 0;
    }
}

@media only screen and (max-width: 370px) {
    .label-width {
        width: 230px;
    }
}

@media only screen and (max-width: 330px) {
    .search-bar {
        width: 160px;
    }
}

@media only screen and (min-width: 701px) {
    .mobile-screen {
        display: none;
    }
}

.full-width{
    width:100%;
}

.dark-background{
    background-color:#222;
}
